#include "Main.h"

#include "Prefs.h"
#include "View.h"
#include "Window.h"
#include <Alert.h>
#include <Application.h>
#include <File.h>
#include <Deskbar.h>

#include "Locations.h"

void alert(char *error, ...)
{
	va_list args;
	va_start(args, error);
	
	char string[255];
	sprintf(string, "BWeather Error: ");
	vsprintf(string + strlen(string), error, args);
	
	BAlert *alert = new BAlert(NULL, string, "Ok");
	alert->Go(NULL);
	//snooze(3000000);
	
	va_end(args);
}

int main(int argc, char* argv[])
{
	BApplication *app = new BApplication(APP_SIGNATURE);
	WPrefs *prefs = new WPrefs();//this belongs to the view
	
	if(prefs->opInDeskbar)
	{
		//if there is already one of us in the deskbar, get rid of it
		if(WView::IsInDeskbar())
			WView::RemoveFromDeskbar();
			
		WView::AddToDeskbar(prefs);
		app->PostMessage(new BMessage(B_QUIT_REQUESTED));
	}
	else
	{
		WWindow *window = new WWindow(prefs);
		window->Show();
	}
	
	app->Run();
	delete app;
	return 0;
}
	
/*printf("trying to get page...\n");
HTTP_Io page;
if(page.SetTo("http://www.slashdot.com/", B_READ_ONLY) == B_OK)
{
	printf("trying to output page...\n");
	
	ssize_t size; 
	char buffer[4096]; 
	
	while((size = page.Read(buffer, 4096)) > 0)
		fwrite(buffer, size, 1, stdout);
	fflush(stdout);
	page.Unset();
	printf("done\n");
}
else
	printf("damn, couldn't load page\n");*/