#ifndef _prefswindow_h_
#define _prefswindow_h_

#include <ListItem.h>
#include <Window.h>

class WLocations;
class WPrefs;
class WWeather;
class BCheckBox;
class BMessenger;
class BOutlineListView;
class BSlider;
struct WLocation;

enum
{
	WP_CLOSE = 'wpcl',
	WP_SAVED = 'wpda',
	WP_HANDLE_DIALG = 'wpha',
	WP_UPDATE = 'wpup',
	WP_ACTIVATE = 'wpac',
	WP_REPLY = 'wprp'
};

class WListItem : public BStringItem
{
	public:
		WListItem(WLocation *iloc, int level);
		void DrawItem(BView *owner, BRect itemRect, bool drawEverything);
	
	public:
		WLocation *loc;
};

int WPrefsWindow_Dialogue(void);

class WPrefsWindow : public BWindow
{
	public:
		WPrefsWindow(WPrefs *iprefs, WWeather *iweather, BMessenger *imsger);
		~WPrefsWindow(void);
		
		bool QuitRequested(void);
		void MessageReceived(BMessage *message);
	protected:
		bool HandleDialg(int button);
		bool Saved(void);
		void Save(void);
		void SavePos(void);
		void AddLocationAt(WLocation *loc, int level);
		
	public:
		bool dontsave;
		WPrefs *prefs;
		WWeather *weather;
		BMessenger *msger;
		WLocations *location;
		
		BSlider *vUpdate;
		BOutlineListView *vLocation;
		BTextControl *vProxyServer, *vProxyPort;
		BCheckBox *vMetric, *vDetailed, *vUseProxy;
};

#endif